Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498026 - app-admin/conky with sys-libs/ncurses[tinfo] - conky.c:2705: error: undefined reference to 'stdscr'
Summary: app-admin/conky with sys-libs/ncurses[tinfo] - conky.c:2705: error: undefined...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Daniel Pielmeier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2014-01-13 19:22 UTC by Jeroen Roovers
Modified: 2015-11-18 17:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
conky-1.9.0-tinfo.patch (conky-1.9.0-tinfo.patch,926 bytes, patch)
2014-10-28 20:55 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2014-01-13 19:22:51 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -I/usr/include/freetype2 -I/usr/include/glib-2.0
 -I/usr/lib64/glib-2.0/include -Wall -W -march=core2 -frecord-gcc-switches -g -pipe -O2
 -Wall -mcx16 -msahf -mno-movbe -mno-aes -mno-pclmul -mno-popcnt -mno-abm -mno-lwp -mno
-fma -mno-fma4 -mno-xop -mno-bmi -mno-tbm -mno-avx -mno-sse4.2 -mno-sse4.1 --param l1-c
ache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=core2 -Wno
-comment -Wl,-O1 -o conky conky-conf_cookie.o conky-linux.o conky-users.o conky-sony.o 
conky-i8k.o conky-libtcp-portmon.o conky-tcp-portmon.o conky-x11.o conky-fonts.o conky-
nvidia.o conky-iconv_tools.o conky-colours.o conky-combine.o conky-common.o conky-conky
.o conky-core.o conky-diskio.o conky-entropy.o conky-exec.o conky-fs.o conky-mail.o con
ky-mixer.o conky-net_stat.o conky-template.o conky-timed_thread.o conky-mboxscan.o conk
y-read_tcp.o conky-scroll.o conky-specials.o conky-tailhead.o conky-temphelper.o conky-
text_object.o conky-timeinfo.o conky-algebra.o conky-proc.o conky-user.o conky-top.o  -
lpthread -lm -Wl,--as-needed -lncurses -lX11 -lXext -lXdamage -lXfixes -lXft -lXNVCtrl 
-lglib-2.0 -lasound
conky.c:2705: error: undefined reference to 'stdscr'
conky.c:2705: error: undefined reference to 'stdscr'
conky.c:2705: error: undefined reference to 'stdscr'
conky.c:3366: error: undefined reference to 'stdscr'
collect2: error: ld returned 1 exit status
distcc[3289] ERROR: compile (null) on localhost failed
make[2]: *** [conky] Error 1
Comment 1 Jeroen Roovers gentoo-dev 2014-10-28 20:54:28 UTC
Fixed without revision bump.
Comment 2 Jeroen Roovers gentoo-dev 2014-10-28 20:55:46 UTC
Created attachment 387688 [details, diff]
conky-1.9.0-tinfo.patch